play.libs

## Class OAuth.Response

- java.lang.Object
- - play.libs.OAuth.Response

- Enclosing class:
    OAuth

      public static class OAuth.Response
      extends java.lang.Object

  Response to an OAuth 1.0 request. If success token and secret are non null, and error is null. If error token and secret are null, and error is non null.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OAuth.Error` | `error`
    `java.lang.String` | `secret`
    `java.lang.String` | `token`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### token

          public final java.lang.String token

    - #### secret

          public final java.lang.String secret

    - #### error

          public final OAuth.Error error

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly